Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.exec
Class FileSystemTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          com.sun.javatest.exec.FileSystemTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

    public class FileSystemTableModel

extends javax.swing.table.AbstractTableModel

See Also:
  Serialized Form

Field Summary
`protected static java.lang.String[]` | `cNames`
`protected static java.lang.Class[]` | `cTypes`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`FileSystemTableModel(java.lang.String file, com.sun.javatest.exec.FileSystemTableModel.FileTableFilter flt, java.io.File defTemplateDir, boolean allowTraversDirs)`

Method Summary
`void` | `fireTableDataChanged()`
`java.lang.Class` | `getColumnClass(int column)`
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int column)`
`java.io.File` | `getCurrentDir()`
`java.io.File` | `getNode(int rowIndex)`
`int` | `getRowCount()`
`java.lang.Object` | `getValueAt(int rowIndex, int columnIndex)`
`void` | `resetTable(java.lang.String file)`
`void` | `resetTable(java.lang.String file, com.sun.javatest.exec.FileSystemTableModel.FileTableFilter flt)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cNames

    protected static java.lang.String[] cNames

### cTypes

    protected static java.lang.Class[] cTypes

Constructor Detail

### FileSystemTableModel

    public FileSystemTableModel(java.lang.String file,
                                com.sun.javatest.exec.FileSystemTableModel.FileTableFilter flt,
                                java.io.File defTemplateDir,
                                boolean allowTraversDirs)

Method Detail

### fireTableDataChanged

    public void fireTableDataChanged()

  Overrides:
    `fireTableDataChanged` in class `javax.swing.table.AbstractTableModel`

### resetTable

    public void resetTable(java.lang.String file,
                           com.sun.javatest.exec.FileSystemTableModel.FileTableFilter flt)

### resetTable

    public void resetTable(java.lang.String file)

### getColumnCount

    public int getColumnCount()

### getColumnName

    public java.lang.String getColumnName(int column)

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`

### getColumnClass

    public java.lang.Class getColumnClass(int column)

  Specified by:
    `getColumnClass` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnClass` in class `javax.swing.table.AbstractTableModel`

### getCurrentDir

    public java.io.File getCurrentDir()

### getValueAt

    public java.lang.Object getValueAt(int rowIndex,
                                       int columnIndex)

### getNode

    public java.io.File getNode(int rowIndex)

### getRowCount

    public int getRowCount()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.